// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyA19hnPOghvgpLWj-NfHnGbOaRSFHOywXM',
    appId: '1:801013111145:web:c91dd9cbd383ad0bb385f8',
    messagingSenderId: '801013111145',
    projectId: 'module-5-54e2d',
    authDomain: 'module-5-54e2d.firebaseapp.com',
    databaseURL: 'https://module-5-54e2d-default-rtdb.firebaseio.com',
    storageBucket: 'module-5-54e2d.appspot.com',
    measurementId: 'G-5CYN4XEYYY',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBDWkgwreshtToSi89UkYgfyyCyqDemW2M',
    appId: '1:801013111145:android:db76f9e4ff7c2513b385f8',
    messagingSenderId: '801013111145',
    projectId: 'module-5-54e2d',
    databaseURL: 'https://module-5-54e2d-default-rtdb.firebaseio.com',
    storageBucket: 'module-5-54e2d.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCOfnRHDw4uoYlzUQEanWhnJ9Q9MAnLztk',
    appId: '1:801013111145:ios:8a3d76fc288d771cb385f8',
    messagingSenderId: '801013111145',
    projectId: 'module-5-54e2d',
    databaseURL: 'https://module-5-54e2d-default-rtdb.firebaseio.com',
    storageBucket: 'module-5-54e2d.appspot.com',
    iosClientId: '801013111145-uq2hld1tt8ravbf7qdj69p67abgqbkee.apps.googleusercontent.com',
    iosBundleId: 'com.example.app',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCOfnRHDw4uoYlzUQEanWhnJ9Q9MAnLztk',
    appId: '1:801013111145:ios:8a3d76fc288d771cb385f8',
    messagingSenderId: '801013111145',
    projectId: 'module-5-54e2d',
    databaseURL: 'https://module-5-54e2d-default-rtdb.firebaseio.com',
    storageBucket: 'module-5-54e2d.appspot.com',
    iosClientId: '801013111145-uq2hld1tt8ravbf7qdj69p67abgqbkee.apps.googleusercontent.com',
    iosBundleId: 'com.example.app',
  );
}
